Bug 1009406 - RFE: include LLDB into the build
RFE: include LLDB into the build
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: llvm (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jan Včelák
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-18 07:29 EDT by Jan Včelák
Modified: 2013-12-16 18:06 EST (History)
8 users (show)

See Also:
Fixed In Version: llvm-3.3-3.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-13 22:47:38 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Včelák 2013-09-18 07:29:13 EDT
Description of problem:

There is a new LLDB debugger since LLVM 3.3. It is distributed the same way as clang. Please, can you include it into the LLVM build?

I originally wanted to package it separately, but llvm-devel package does not contain the required CMake modules (old RFE #914713).


Version-Release number of selected component (if applicable):
clang-3.3-0.6.rc3.fc19.x86_64

How reproducible:
always

Steps to Reproduce:
1. yum list lldb

Actual results:
no packages found :-(

Expected results:
package lldb found :-)

Additional info:

http://lldb.llvm.org/
http://llvm.org/releases/download.html#3.3
http://llvm.org/releases/3.3/lldb-3.3.src.tar.gz
Comment 1 Fedora Update System 2013-11-21 17:47:58 EST
llvm-3.3-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/llvm-3.3-2.fc20
Comment 2 Fedora Update System 2013-11-23 22:52:30 EST
Package llvm-3.3-2.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing llvm-3.3-2.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-22023/llvm-3.3-2.fc20
then log in and leave karma (feedback).
Comment 3 Fedora Update System 2013-11-26 09:25:41 EST
llvm-3.3-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/llvm-3.3-2.fc19
Comment 4 Fedora Update System 2013-11-30 03:45:19 EST
llvm-3.3-3.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/llvm-3.3-3.fc19
Comment 5 Fedora Update System 2013-12-13 22:47:38 EST
llvm-3.3-2.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2013-12-16 18:06:29 EST
llvm-3.3-3.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.